Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ant.core
Class AntCorePlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ant.core.AntCorePlugin

All Implemented Interfaces:
  BundleActivator

public class AntCorePlugin
extends Plugin

The plug-in runtime class for the Ant Core plug-in.

Field Summary
`static String` | `ANT_BUILDFILE_CONTENT_TYPE` Simple identifier constant (value `"org.eclipse.ant.core.antBuildFile"`) for the content type of an Ant BuildFile
`static String` | `CLASS` Simple identifier constant (value `"class"`) of a tag that appears in Ant extensions.
`static String` | `ECLIPSE_PROGRESS_MONITOR` Key to access the `IProgressMonitor` reference.
`static String` | `ECLIPSE_RUNTIME` Simple identifier constant (value `"eclipseRuntime"`) of a tag that appears in Ant extensions.
`static int` | `ERROR_LIBRARY_NOT_SPECIFIED` Status code indicating an error occurred as a library was not specified
`static int` | `ERROR_MALFORMED_URL` Status code indicating an error occurred due to a malformed URL.
`static int` | `ERROR_RUNNING_BUILD` Status code indicating an error occurred running a build.
`static String` | `HEADLESS` Simple identifier constant (value `"headless"`) of a tag that appears in Ant extensions.
`static int` | `INTERNAL_ERROR` Status code indicating an unexpected internal error.
`static String` | `LIBRARY` Simple identifier constant (value `"library"`) of a tag that appears in Ant extensions.
`static String` | `NAME` Simple identifier constant (value `"name"`) of a tag that appears in Ant extensions.
`static String` | `PI_ANTCORE` Unique identifier constant (value `"org.eclipse.ant.core"`) for the Ant Core plug-in.
`static String` | `PT_EXTRA_CLASSPATH` Simple identifier constant (value `"extraClasspathEntries"`) for the extra classpath entries extension point.
`static String` | `PT_PROPERTIES` Simple identifier constant (value `"antProperties"`) for the Ant properties extension point.
`static String` | `PT_TASKS` Simple identifier constant (value `"antTasks"`) for the Ant tasks extension point.
`static String` | `PT_TYPES` Simple identifier constant (value `"antTypes"`) for the Ant types extension point.
`static String` | `VALUE` Simple identifier constant (value `"value"`) of a tag that appears in Ant extensions.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`AntCorePlugin(IPluginDescriptor descriptor)` Constructs an instance of this plug-in runtime class.

Method Summary
`ClassLoader` | `getNewClassLoader()` Returns a new class loader to use when executing Ant builds.
`ClassLoader` | `getNewClassLoader(boolean allowLoading)` Returns a new class loader to use when executing Ant builds or other applications such as parsing or code proposal determination
`static AntCorePlugin` | `getPlugin()` Returns this plug-in instance.
`AntCorePreferences` | `getPreferences()` Returns an object representing this plug-in's preferences.
`static void` | `log(Throwable t)` Logs the specified throwable with this plug-in's log.
`void` | `setRunningHeadless(boolean headless)` Set this plug-in's preferences for running headless based on the headless parameter.
`void` | `shutdown()` Shuts down this plug-in and discards all plug-in state.

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Status code indicating an unexpected internal error.

  Since:
    2.1
  See Also:
    Constant Field Values

### PI_ANTCORE

    public static final String PI_ANTCORE

  Unique identifier constant (value `"org.eclipse.ant.core"`) for the Ant Core plug-in.

  See Also:
    Constant Field Values

### PT_TASKS

    public static final String PT_TASKS

  Simple identifier constant (value `"antTasks"`) for the Ant tasks extension point.

  See Also:
    Constant Field Values

### PT_EXTRA_CLASSPATH

    public static final String PT_EXTRA_CLASSPATH

  Simple identifier constant (value `"extraClasspathEntries"`) for the extra classpath entries extension point.

  See Also:
    Constant Field Values

### PT_TYPES

    public static final String PT_TYPES

  Simple identifier constant (value `"antTypes"`) for the Ant types extension point.

  See Also:
    Constant Field Values

### PT_PROPERTIES

    public static final String PT_PROPERTIES

  Simple identifier constant (value `"antProperties"`) for the Ant properties extension point.

  Since:
    3.0
  See Also:
    Constant Field Values

### ANT_BUILDFILE_CONTENT_TYPE

    public static final String ANT_BUILDFILE_CONTENT_TYPE

  Simple identifier constant (value `"org.eclipse.ant.core.antBuildFile"`) for the content type of an Ant BuildFile

  Since:
    3.0
  See Also:
    Constant Field Values

### CLASS

    public static final String CLASS

  Simple identifier constant (value `"class"`) of a tag that appears in Ant extensions.

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Simple identifier constant (value `"name"`) of a tag that appears in Ant extensions.

  See Also:
    Constant Field Values

### LIBRARY

    public static final String LIBRARY

  Simple identifier constant (value `"library"`) of a tag that appears in Ant extensions.

  See Also:
    Constant Field Values

### HEADLESS

    public static final String HEADLESS

  Simple identifier constant (value `"headless"`) of a tag that appears in Ant extensions.

  Since:
    2.1
  See Also:
    Constant Field Values

### ECLIPSE_RUNTIME

    public static final String ECLIPSE_RUNTIME

  Simple identifier constant (value `"eclipseRuntime"`) of a tag that appears in Ant extensions.

  Since:
    3.0
  See Also:
    Constant Field Values

### VALUE

    public static final String VALUE

  Simple identifier constant (value `"value"`) of a tag that appears in Ant extensions.

  Since:
    3.0
  See Also:
    Constant Field Values

### ECLIPSE_PROGRESS_MONITOR

    public static final String ECLIPSE_PROGRESS_MONITOR

  Key to access the `IProgressMonitor` reference. When a progress monitor is passed to the `AntRunner.run(IProgressMonitor)` method, the object is available as a reference for the current Ant project.

  See Also:
    Constant Field Values

### ERROR_RUNNING_BUILD

    public static final int ERROR_RUNNING_BUILD

  Status code indicating an error occurred running a build.

  Since:
    2.1
  See Also:
    Constant Field Values

### ERROR_MALFORMED_URL

    public static final int ERROR_MALFORMED_URL

  Status code indicating an error occurred due to a malformed URL.

  Since:
    2.1
  See Also:
    Constant Field Values

### ERROR_LIBRARY_NOT_SPECIFIED

    public static final int ERROR_LIBRARY_NOT_SPECIFIED

  Status code indicating an error occurred as a library was not specified

  Since:
    2.1
  See Also:
    Constant Field Values

Constructor Detail

### AntCorePlugin

    public AntCorePlugin(IPluginDescriptor descriptor)

  Constructs an instance of this plug-in runtime class.

  An instance of this plug-in runtime class is automatically created when the facilities provided by the Ant Core plug-in are required. Clients must never explicitly instantiate a plug-in runtime class.

Parameters:
  `descriptor` - the plug-in descriptor for the Ant Core plug-in

Method Detail

### shutdown

    public void shutdown()

  Description copied from class: `Plugin`
  Shuts down this plug-in and discards all plug-in state.

  This method should be re-implemented in subclasses that need to do something when the plug-in is shut down. Implementors should call the inherited method to ensure that any system requirements can be met.

  Plug-in shutdown code should be robust. In particular, this method should always make an effort to shut down the plug-in. Furthermore, the code should not assume that the plug-in was started successfully, as this method will be invoked in the event of a failure during startup.

  Note 1: If a plug-in has been started, this method will be automatically invoked by the platform when the platform is shut down.

  Note 2: This method is intended to perform simple termination of the plug-in environment. The platform may terminate invocations that do not complete in a timely fashion.

  Clients must never explicitly call this method.

  Overrides:
    `shutdown` in class `Plugin`

### getPreferences

    public AntCorePreferences getPreferences()

  Returns an object representing this plug-in's preferences.

  Returns:
    the Ant core object representing the preferences for this plug-in.

### setRunningHeadless

    public void setRunningHeadless(boolean headless)

  Set this plug-in's preferences for running headless based on the headless parameter. This method is public for testing purposes only. It should not be called outside of the Ant integration framework.

  Parameters:
    `headless` - Whether or not to mark that the plug-in is running headless or not

### getPlugin

    public static AntCorePlugin getPlugin()

  Returns this plug-in instance.

  Returns:
    the single instance of this plug-in runtime class

### getNewClassLoader

    public ClassLoader getNewClassLoader()

  Returns a new class loader to use when executing Ant builds.

  Returns:
    the new class loader

### getNewClassLoader

    public ClassLoader getNewClassLoader(boolean allowLoading)

  Returns a new class loader to use when executing Ant builds or other applications such as parsing or code proposal determination

  Parameters:
    `allowLoading` - whether to allow plugin classloaders associated with the new classloader to load Apache Ant classes.
  Returns:
    the new class loader

### log

    public static void log(Throwable t)

  Logs the specified throwable with this plug-in's log.

  Parameters:
    `t` - throwable to log
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.